Package net.snowflake.client.config

## Class SFClientConfig.CommonProps

- java.lang.Object
- - net.snowflake.client.config.SFClientConfig.CommonProps

Enclosing class:
  SFClientConfig

    public static class SFClientConfig.CommonProps
    extends Object

### Constructor Summary

Constructors
`CommonProps()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `CommonProps​(String logLevel, String logPath)`
`boolean` `equals​(Object o)`
`String` `getLogLevel()`
`String` `getLogPath()`
`int` `hashCode()`
`void` `setLogLevel​(String logLevel)`
`void` `setLogPath​(String logPath)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonProps

    public CommonProps()

### Method Detail

#### CommonProps

    public void CommonProps​(String logLevel,
                            String logPath)

#### getLogLevel

    public String getLogLevel()

#### setLogLevel

    public void setLogLevel​(String logLevel)

#### getLogPath

    public String getLogPath()

#### setLogPath

    public void setLogPath​(String logPath)

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`